SystemOrganization addCategory: #'39Deprecated'!

!CompiledMethod methodsFor: '*39Deprecated' stamp: 'md 2/16/2006 15:45'!
who
	"Answer an Array of the class in which the receiver is defined and the 
	selector to which it corresponds."
	
	self deprecated: 'use #methodClass and #selector directly'.
	self isInstalled ifFalse: [^#(unknown unknown)].
	^{self methodClass . self selector}.! !

!SharedQueue2 methodsFor: '*39Deprecated' stamp: 'ls 6/25/2005 14:07'!
flush
	self deprecated: 'use removeAll'.
	^self removeAll! !

!SharedQueue2 methodsFor: '*39Deprecated' stamp: 'ls 6/25/2005 14:02'!
flushAllSuchThat: aBlock
	self deprecated: 'use removeAllSuchThat:'.

	^self removeAllSuchThat: aBlock! !

!SharedQueue2 methodsFor: '*39Deprecated' stamp: 'ls 6/25/2005 14:03'!
removeAll
	monitor critical: [
		items next: (items size) ].! !

!SharedQueue2 methodsFor: '*39Deprecated' stamp: 'ls 6/25/2005 14:01'!
removeAllSuchThat: aBlock
	"Remove from the queue all objects that satisfy aBlock."
	monitor critical: [
		items removeAllSuchThat: aBlock ]! !

!ContextPart methodsFor: '*39Deprecated' stamp: 'md 2/17/2006 12:04'!
methodSelector
	"Answer the selector of the method that created the receiver."
	self deprecated: 'use #selector'.

	^self selector.! !

!Object methodsFor: '*39Deprecated' stamp: 'gk 2/24/2004 08:49'!
beep
	"Deprecated."
	
	self deprecated: 'Use Beeper class>>beep instead.'.
	Beeper beep! !

!Object methodsFor: '*39Deprecated' stamp: 'md 12/12/2003 17:02'!
beep: soundName
	"Make the given sound, unless the making of sound is disabled in Preferences."

	self deprecated: 'Use SampledSound>>playSoundNamed: instead.'.
	Preferences soundsEnabled
		ifTrue: [self playSoundNamed: soundName]
! !

!Object methodsFor: '*39Deprecated' stamp: 'gk 2/24/2004 08:50'!
beepPrimitive
	"Deprecated. Beep in the absence of sound support."
	
	self deprecated: 'Use Beeper class>>beep or Beeper class>>beepPrimitive instead.'.
	Beeper beepPrimitive! !

!Object methodsFor: '*39Deprecated' stamp: 'sd 11/13/2003 21:10'!
deprecatedExplanation: aString
     "This method is OBSOLETE.  Use #deprecated: instead."
	self deprecated: 'Use Object>>deprecated: instead of deprecatedExplanation:.'.

	Preferences showDeprecationWarnings ifTrue:
		[Deprecation signal: ('{1} has been deprecated. {2}' translated format: {thisContext sender printString. aString})]! !

!Object methodsFor: '*39Deprecated' stamp: 'md 12/12/2003 16:25'!
doIfNotNil: aBlock
	self deprecated: 'use ifNotNilDo:'.
	^ self ifNotNilDo: aBlock
! !

!Object methodsFor: '*39Deprecated' stamp: 'md 11/27/2004 12:20'!
ifKindOf: aClass thenDo: aBlock
	self deprecated: 'Deprecated. Just use #isKindOf:'.
	^ (self isKindOf: aClass) ifTrue: [aBlock value: self]! !

!Object methodsFor: '*39Deprecated' stamp: 'gk 2/23/2004 20:51'!
playSoundNamed: soundName
	"Deprecated.
	Play the sound with the given name."

	self deprecated: 'Use "SoundService default playSoundNamed: aName" instead.'.
	SoundService default playSoundNamed: soundName! !

!MethodContext methodsFor: '*39Deprecated' stamp: 'md 2/17/2006 10:04'!
answer: anObject
	"ar 3/6/2001: OBSOLETE. Must not be used. Will be removed VERY SOON."
	
	self deprecated: 'ar 3/6/2001: OBSOLETE. Must not be used. Will be removed VERY SOON.'.
	
	"Modify my code, from the current program counter value, to answer anObject."
	self push: anObject.
	(method at: pc) = 124 ifFalse: [
		method := (
			(method clone)
				at: pc + 1 put: 124;
				yourself)]! !

!MethodContext methodsFor: '*39Deprecated' stamp: 'md 2/17/2006 12:02'!
who
	self deprecated: 'please use #methodClass and #selector'.
	
	self method ifNil: [^ #(unknown unkown)].
	^ {self methodClass . self selector}.
! !

!Utilities class methodsFor: '*39Deprecated' stamp: 'sd 3/30/2005 21:53'!
browseVersionsForClass: aClass selector: aSelector
	self deprecated: 'Use VersionsBrowser browseVersionsForClass: aClass selector: aSelector instead'.
	VersionsBrowser browseVersionsForClass: aClass selector: aSelector! !

!Utilities class methodsFor: '*39Deprecated' stamp: 'ar 9/27/2005 20:15'!
fileOutChangeSetsNamed: nameList
	"File out the list of change sets whose names are provided"
     self deprecated: 'Use ChangeSet fileOutChangeSetsNamed: nameList'.
	ChangeSet fileOutChangeSetsNamed: nameList! !
